bodger:
  test:
    "os:*":
      - pip3 install -r requirements/base.txt
      - pytest
  pkg-trigger:
    "os:*":
      - sed -i "/${CICD_SOURCE_PROJECT_NAME}/d" requirements/base.txt
      - git status
      - echo "git+https://gitlab-ci-token:${CI_JOB_TOKEN}@gitlab.com/${CICD_SOURCE_GITLAB_PROJECT_PATH}.git@${CICD_SOURCE_COMMIT}" >> requirements/base.txt
      - cat requirements/base.txt
      - tiamat build -n idem -r requirements/base.txt --onedir --tgt-version "$(git describe --abbrev=0 | sed "s/^v//g")" --release "1+${CICD_SOURCE_PROJECT_NAME}.${CICD_SOURCE_COMMIT}.ph3" --pkg-tgt rhel7 2>&1
      - mkdir artifacts
      - mv *.rpm artifacts
  pkg:
    "os:*":
      - tiamat build -n idem -r requirements/base.txt --onedir --tgt-version "$(git describe --abbrev=0 | sed "s/^v//g")" --release "$(git describe | sed "s/$(git describe --abbrev=0)-\(.*\)-.*/\1/g")+${CI_COMMIT_REF_SLUG//-/}.${CI_COMMIT_SHORT_SHA}.ph3" --pkg-tgt rhel7 2>&1
      - mkdir artifacts
      - mv *.rpm artifacts
  pkg-tags:
    "os:*":
      - tiamat build -n idem -r requirements/base.txt --onedir --tgt-version "$(git describe --abbrev=0 | sed "s/^v//g")" --release "${CICD_PACKAGE_RELEASE_PH3:-1.ph3}" --pkg-tgt rhel7 2>&1
      - mkdir artifacts
      - mv *.rpm artifacts
